Catalog PyPI
PACKAGE EXPLORERView in registry

aevum-core

PyPI

Aevum — the sealed movement. Replay-first, policy-governed context kernel.

aiauditcontextgovernanceprovenancereplay
Versions collected1
Direct dependencies36From release 0.9.0
Last observed20 Oct, 20:58 UTC

README

Version 0.9.0 documentation

aevum-core

The independent black box for AI agents — tamper-evident, independently verifiable records of what your agents did.

aevum-core is the Aevum context kernel: five governed functions (ingest, query, review, commit, replay) over an append-only episodic ledger, gated by five unconditional barriers (crisis detection, classification ceiling, consent, audit immutability, provenance) that are hardcoded and never policy-controlled.

  • SHA3-256 hash-chained sigchain — every event is RFC 8785 (JCS) canonicalized and Ed25519-signed (RFC 8032); an optional hybrid ML-DSA-65 (FIPS 204) signature runs alongside it for post-quantum defense-in-depth.
  • COSE_Sign1 receipts with RFC 3161 trusted timestamps — each entry is wrapped in a portable, independently verifiable receipt.
  • RFC 6962-style Merkle log — Signed Tree Heads with inclusion and consistency proofs detect any historical rewrite of the ledger.
  • Cedar ABAC + OPA policy engines — consent and content/infrastructure decisions are externalised and optional, sitting behind the unconditional barriers rather than replacing them.
  • Verification logic also ships as a separate package, aevum-verify, so a receipt can be checked without running the rest of the kernel.

Install

pip install aevum-core
pip install "aevum-core[cedar]"  # + real Cedar consent enforcement

Docs

Full documentation, threat model, and regulatory alignment: https://github.com/aevum-labs/aevum

License

Apache-2.0.

Downloads & popularity

Awaiting observations

No metric observations yet

Download counts and popularity will appear here as the collector receives them.

Versions 1

Collected releases
VersionPublishedDirect dependenciesOpen version
0.9.022 Jun 202636

Package advisories

0
No matching advisories collected

This describes our collected data; it is not a security assessment.

Repository

PENDING
aevum-labs/aevum

Shared repository data · GitHub

License detected in repository
Not collected

Metadata history

Meaningful changes
Current collected state Current

Observed since 20 Oct, 20:58 UTC

No superseded metadata states collected. Unchanged observations do not create new revisions.

Record identity

package:7b45aa5d575c24c9b0b761c6858943b2b3585319a680d6081798fb3bab232636